# Uses of Enum Class
org.apache.lucene.geo.GeoUtils.WindingOrder

Packages that use GeoUtils.WindingOrder
Package
Description
org.apache.lucene.geo
Geospatial Utility Implementations for Lucene Core

## Uses of GeoUtils.WindingOrder in org.apache.lucene.geo

Methods in org.apache.lucene.geo that return GeoUtils.WindingOrder
Modifier and Type
Method
Description
`static GeoUtils.WindingOrder`
GeoUtils.WindingOrder.`fromSign(int sign)`
`GeoUtils.WindingOrder`
Polygon.`getWindingOrder()`
Returns the winding order (CW, COLINEAR, CCW) for the polygon shell
`GeoUtils.WindingOrder`
XYPolygon.`getWindingOrder()`
Returns the winding order (CW, COLINEAR, CCW) for the polygon shell
`static GeoUtils.WindingOrder`
GeoUtils.WindingOrder.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GeoUtils.WindingOrder[]`
GeoUtils.WindingOrder.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.